<?xml version="1.0"?>
<configuration>

	<configSections>
		<section name="microsoft.web.services3" type="Microsoft.Web.Services3.Configuration.WebServicesConfiguration, Microsoft.Web.Services3, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
		<section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data"/>
	</configSections>

	<dataConfiguration defaultDatabase="HishopSqlServer"/>


	<connectionStrings>
		<add name="HishopSqlServer" connectionString="required" providerName="System.Data.SqlClient"/>
	</connectionStrings>


	<appSettings>
    <add key="Kindeditor:BasePath" value="~/kindeditor/"/>
    <add key="Kindeditor:FileCategoryJson" value="~/Admin/FileCategoryJson.aspx"/>
    <add key="Kindeditor:FileManagerJson" value="~/Admin/FileManagerJson.aspx"/>
    <add key="Kindeditor:UploadFileJson" value="~/Admin/FileUploadJson.aspx"/>
    <add key="Key" value="ji8lVlqMubVNQz1bzJflrg==" />
    <add key="IV" value="dwf3d+YzUHCwp+ZSbXpOCg==" />
    <add key="ScriptWebControls" value="CallBack,Pager,Dialog,TabStrip" />
	<add key="Installer" value="true"/>
  </appSettings>

  

	<system.web>
		<!--<sessionState mode="Custom" />-->
		<machineKey validationKey="12161FAA135CA1FEAECE734E53410A98B8318C0F"
   decryptionKey="39474EC70DE38C24FE0B03F689A94AF19DC5188E0B42B797"
   validation="SHA1" decryption="3DES" />
		<pages buffer="true" enableViewStateMac="false" enableSessionState="false"  viewStateEncryptionMode="Never"  validateRequest="false" autoEventWireup="false" pageBaseType="Hishop.Web.Controls.HiPage, Hishop.Web.Controls" />
		<trace enabled="false" pageOutput="false"/>
		<customErrors mode="Off" />
		<compilation debug="false" />

		<httpHandlers>
			<add verb="*" path="OrderHandler.aspx" type="Hishop.Web.Ajax.OrderHandler, Hishop.Web.Ajax"/>
			<add verb="*" path="PaymentHandler.aspx" type="Hishop.Web.Ajax.PaymentHandler, Hishop.Web.Ajax"/>
			<add verb="*" path="ValidateLogin.aspx" type="Hishop.Web.Ajax.ValidateLogin, Hishop.Web.Ajax"/>
			<add verb="*" path="ProductHandler.aspx" type="Hishop.Web.Ajax.ProductHandler, Hishop.Web.Ajax"/>
			<add verb="*" path="ShoppingHandler.aspx" type="Hishop.Web.Ajax.ShoppingHandler, Hishop.Web.Ajax"/>
			<add verb="*" path="OrderOptionHandle.aspx" type="Hishop.Web.Ajax.OrderOptionHandle, Hishop.Web.Ajax"/>
			<add verb="*" path="SubmmitOrderHandler.aspx" type="Hishop.Web.Ajax.SubmmitOrderHandler, Hishop.Web.Ajax"/>
			<add verb="*" path="RegionHandler.aspx" type="Hishop.Web.Ajax.RegionHandler, Hishop.Web.Ajax"/>
			<add verb="*" path="admin/UserStatisticeChart.aspx" type="Hishop.Web.Controls.UserStatisticeChart, Hishop.Web.Controls"/>
			<add verb="*" path="admin/upload.aspx" type="Hishop.Web.Ajax.UploadHandler, Hishop.Web.Ajax"  />
			<add verb="*" path="ExpressData.aspx" type="Hishop.Web.Ajax.ExpressData, Hishop.Web.Ajax"  />
			<add verb="*" path="PluginHandler.aspx" type="Hishop.API.ConfigHandler, Hishop.API"/>
			<add verb="*" type="ASPNET.WebControls.ScriptHandler,ASPNET.WebControls" path="WebScript.axd" />

			<add verb="*" path="PluginMessageHandler.aspx" type="Hishop.Plugins.ConfigHandler, Hishop.Plugins"/>
		</httpHandlers>

		<httpModules>
			<add name="Hishop" type="Hishop.SystemServices.HiHttpModule, Hishop.SystemServices.Core"/>
		</httpModules>

		<membership userIsOnlineTimeWindow="15" defaultProvider="SQLMembershipProvider">
			<providers>
				<add name="SQLMembershipProvider" type="Hishop.SystemServices.SqlMemberRoleProvider.HiMembershipProvider, Hishop.SystemServices.SqlMemberRoleProvider" connectionStringName="HishopSqlServer" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="true" passwordFormat="Hashed" applicationName="Hishop" maxInvalidPasswordAttempts="999" passwordAttemptWindow="999" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0"/>
			</providers>
		</membership>

		<roleManager defaultProvider="SQLMembershipProvider" enabled="true" cacheRolesInCookie="false" cookieName=".HishopRoles" cookieTimeout="90" cookiePath="/" cookieRequireSSL="false" cookieSlidingExpiration="true" createPersistentCookie="true" cookieProtection="All" maxCachedResults="1000">
			<providers>
				<add name="SQLMembershipProvider" type="Hishop.SystemServices.SqlMemberRoleProvider.HiRoleProvider, Hishop.SystemServices.SqlMemberRoleProvider" connectionStringName="HishopSqlServer" applicationName="Hishop"/>
			</providers>
		</roleManager>

		<anonymousIdentification enabled="false"/>

		<authentication mode="Forms">
			<forms name=".Hishop" protection="All" timeout="240" loginUrl="loginEntry.aspx" cookieless="UseCookies" slidingExpiration="true"/>
		</authentication>

		<webServices> 
			<protocols>
				<remove name="HttpPost"/>
				<remove name="HttpGet"/>
				<remove name="HttpPostLocalhost"/>
				<remove name="Documentation"/>
				<remove name="Unknown"/>
			</protocols>
			<soapExtensionImporterTypes>
				<add type="Microsoft.Web.Services3.Description.WseExtensionImporter, Microsoft.Web.Services3, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			</soapExtensionImporterTypes>
			<soapServerProtocolFactory type="Microsoft.Web.Services3.WseProtocolFactory, Microsoft.Web.Services3, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
		</webServices>

		<httpRuntime maxRequestLength="40960"></httpRuntime>

	</system.web>

	<microsoft.web.services3>
		<security>
			<securityTokenManager>
				<add type="Hishop.Web.Site.HiUsernameTokenManager,Hishop.Web.Site" namespace="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" localName="UsernameToken"/>
			</securityTokenManager>
			<timeToleranceInSeconds value="3600" />
		</security>
		<policy fileName="wse3policyCache.config"/>
	</microsoft.web.services3>

</configuration>